/*
 * spudec.h
 *
 * Copyright (C) Rich Wareham <rjw57@cam.ac.uk> - Jan 2001
 *
 * This file is part of xine, a unix video player.
 * 
 * xine is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * xine is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GNU Make; see the file COPYING. If not, write to
 * the Free Software Foundation, 
 *
 */

#ifndef HAVE_SPUDEC_H
#define HAVE_SPUDEC_H

#include "video_out/video_out.h"

typedef struct {
  int bIsVisible;

  int start_col, end_col;
  int start_row, end_row;
} spudec_geometry;

/* Pointer to array of 16 cluts for palette info */
void spudec_init(clut_t *clut);

void spudec_tick();

void spudec_reset();

spudec_geometry* spudec_get_geometry();

/* Returns non-zero on success */
int spudec_set_images(vo_image_buffer_t* overlay,
                      vo_image_buffer_t* mask,
                      int width, int height,
                      int format);

void spudec_decode(unsigned char *data, int size, uint32_t pts);

#endif /* HAVE_SPUDEC_H */
